PinBoardLayout
Keywords: uk.ac.ic.doc.automed.editor.PinBoardLayout,PinBoardLayout class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class PinBoardLayout

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.editor.PinBoardLayout

All Implemented Interfaces:
  java.awt.LayoutManager

public class PinBoardLayout
extends java.lang.Object
implements java.awt.LayoutManager

Constructor Summary
`PinBoardLayout(java.util.Map drawables, java.util.Map positionables)`

Method Summary
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`void` | `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `removeLayoutComponent(java.awt.Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PinBoardLayout

    public PinBoardLayout(java.util.Map drawables,
                          java.util.Map positionables)

Method Detail

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD